Package com.verisign.epp.codec.emailFwd

## Class EPPEmailFwdRenewCmd

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPCommand
  - - com.verisign.epp.codec.gen.EPPRenewCmd
    - - com.verisign.epp.codec.emailFwd.EPPEmailFwdRenewCmd

- All Implemented Interfaces:
    `EPPCodecComponent`, `EPPMessage`, `java.io.Serializable`, `java.lang.Cloneable`

      public class EPPEmailFwdRenewCmd
      extends EPPRenewCmd

  Represents an EPP EmailFwd <renew> command, which provides a transform operation that allows a client to extend the validity period of a emailFwd object. The EPP <renew> command provides a transform operation that allows a client to extend the validity period of a emailFwd object. In addition to the standard EPP command elements, the <renew> command MUST contain a <emailFwd:renew> element that identifies the emailFwd namespace and the location of the emailFwd schema. The <emailFwd:renew> element SHALL contain the following child elements:
  - A <emailFwd:name> element that contains the fully qualified emailFwd name of the object whose validity period is to be extended. Use `getName` and `setName` to get and set the element.
  - A <emailFwd:curExpDate> element that contains the date on which the current validity period ends. This value ensures that repeated <renew> commands do not result in multiple unanticipated successful renewals. Use `getCurExpDate` and `setCurExpDate` to get and set the element.
  - An OPTIONAL <emailFwd:period> element that contains the initial registration period of the emailFwd object. Use `getPeriod` and `setPeriod` to get and set the element. If return `null`, period has not been specified yet.
  See Also:
    `EPPEmailFwdRenewResp`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPCommand

      `extensions, OP_APPROVE, OP_CANCEL, OP_QUERY, OP_REJECT, OP_REQUEST, transId, TYPE_CHECK, TYPE_CREATE, TYPE_DELETE, TYPE_INFO, TYPE_LOGIN, TYPE_LOGOUT, TYPE_POLL, TYPE_RENEW, TYPE_TRANSFER, TYPE_UPDATE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPEmailFwdRenewCmd()` | Allocates a new `EPPEmailFwdRenewCmd` with default attribute values.
    `EPPEmailFwdRenewCmd​(java.lang.String aTransId, java.lang.String aName, java.util.Date aCurExpDate)` | `EPPEmailFwdRenewCmd` constructor that takes the emailFwd name and the current expiration year as arguments.
    `EPPEmailFwdRenewCmd​(java.lang.String aTransId, java.lang.String aName, java.util.Date aCurExpDate, EPPEmailFwdPeriod aPeriod)` | `EPPEmailFwdRenewCmd` constructor that takes all of the attributes of the renew command as arguments.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone()` | Clone `EPPEmailFwdRenewCmd`.
    `protected void` | `doDecode​(org.w3c.dom.Element aElement)` | Decode the `EPPEmailFwdRenewCmd` attributes from the aElement DOM Element tree.
    `protected org.w3c.dom.Element` | `doEncode​(org.w3c.dom.Document aDocument)` | Encode a DOM Element tree from the attributes of the `EPPEmailFwdRenewCmd` instance.
    `boolean` | `equals​(java.lang.Object aObject)` | Compare an instance of `EPPEmailFwdRenewCmd` with this instance.
    `java.util.Date` | `getCurExpDate()` | Get current expiration date.
    `java.lang.String` | `getKey()` | Gets the key for the emailFwd object, which is the emailFwd name.
    `java.lang.String` | `getName()` | Gets the emailFwd name to renew.
    `java.lang.String` | `getNamespace()` | Gets the EPP command Namespace associated with `EPPEmailFwdRenewCmd`.
    `EPPEmailFwdPeriod` | `getPeriod()` | Gets the registration period of the renew command in years.
    `void` | `setCurExpDate​(java.util.Date newCurExpDate)` | Set current expiration date.
    `void` | `setName​(java.lang.String aName)` | Sets the emailFwd name to renew.
    `void` | `setPeriod​(EPPEmailFwdPeriod aPeriod)` | Sets the registration period of the renew command in years.
    `java.lang.String` | `toString()` | Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPRenewCmd

      `doGenDecode, doGenEncode, getType`

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPCommand

      `addExtension, decode, encode, findDuplicateExtNamespaces, findExtNamespaces, findExtNamespaceSuffixes, findUnsupportedExtNamespaces, findUnsupportedExtNamespaceSuffixes, getExtension, getExtension, getExtensions, getOp, getTransId, hasExtension, hasExtensions, hasKey, hasTransId, setExtension, setExtensions, setTransId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPEmailFwdRenewCmd

          public EPPEmailFwdRenewCmd()

      Allocates a new `EPPEmailFwdRenewCmd` with default attribute values. the defaults include the following:
      - name is set to `null`
      - period is set to `1 year`
      - current expiration date to `null`
      The name and current expiration year must be set before invoking `encode`.

    - #### EPPEmailFwdRenewCmd

          public EPPEmailFwdRenewCmd​(java.lang.String aTransId,
                                     java.lang.String aName,
                                     java.util.Date aCurExpDate)

      `EPPEmailFwdRenewCmd` constructor that takes the emailFwd name and the current expiration year as arguments. The period will default to 1 year.
      Parameters:
        `aTransId` - Transaction Id associated with command.
        `aName` - EmailFwd name to renew.
        `aCurExpDate` - The current expiration date of the emailFwd

    - #### EPPEmailFwdRenewCmd

          public EPPEmailFwdRenewCmd​(java.lang.String aTransId,
                                     java.lang.String aName,
                                     java.util.Date aCurExpDate,
                                     EPPEmailFwdPeriod aPeriod)

      `EPPEmailFwdRenewCmd` constructor that takes all of the attributes of the renew command as arguments.
      Parameters:
        `aTransId` - Transaction Id associated with command.
        `aName` - EmailFwd name to renew.
        `aCurExpDate` - The current expiration date of the emailFwd.
        `aPeriod` - Registration period in years.

  - ### Method Detail

    - #### getNamespace

          public java.lang.String getNamespace()

      Gets the EPP command Namespace associated with `EPPEmailFwdRenewCmd`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Specified by:
        `getNamespace` in interface `EPPMessage`
      Specified by:
        `getNamespace` in class `EPPCommand`
      Returns:
        `EPPEmailFwdMapFactory.NS`

    - #### getKey

          public java.lang.String getKey()

      Gets the key for the emailFwd object, which is the emailFwd name.
      Overrides:
        `getKey` in class `EPPCommand`
      Returns:
        The emailFwd name if set; `null` otherwise.

    - #### getName

          public java.lang.String getName()

      Gets the emailFwd name to renew.
      Returns:
        EmailFwd Name if defined; `null` otherwise.

    - #### setName

          public void setName​(java.lang.String aName)

      Sets the emailFwd name to renew.
      Parameters:
        `aName` - EmailFwd Name

    - #### equals

          public boolean equals​(java.lang.Object aObject)

      Compare an instance of `EPPEmailFwdRenewCmd` with this instance.
      Overrides:
        `equals` in class `EPPRenewCmd`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        DOCUMENT ME!

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPEmailFwdRenewCmd`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPCommand`
      Returns:
        clone of `EPPEmailFwdRenewCmd`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `EPPCommand`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getCurExpDate

          public java.util.Date getCurExpDate()

      Get current expiration date.
      Returns:
        java.util.Date

    - #### getPeriod

          public EPPEmailFwdPeriod getPeriod()

      Gets the registration period of the renew command in years.
      Returns:
        Registration Period in years.

    - #### setCurExpDate

          public void setCurExpDate​(java.util.Date newCurExpDate)

      Set current expiration date.
      Parameters:
        `newCurExpDate` - java.util.Date

    - #### setPeriod

          public void setPeriod​(EPPEmailFwdPeriod aPeriod)

      Sets the registration period of the renew command in years.
      Parameters:
        `aPeriod` - Registration Period in years.

    - #### doEncode

          protected org.w3c.dom.Element doEncode​(org.w3c.dom.Document aDocument)
                                          throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPEmailFwdRenewCmd` instance.
      Specified by:
        `doEncode` in class `EPPRenewCmd`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Root DOM Element representing the `EPPEmailFwdRenewCmd` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPEmailFwdRenewCmd` instance.

    - #### doDecode

          protected void doDecode​(org.w3c.dom.Element aElement)
                           throws EPPDecodeException

      Decode the `EPPEmailFwdRenewCmd` attributes from the aElement DOM Element tree.
      Specified by:
        `doDecode` in class `EPPRenewCmd`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPEmailFwdRenewCmd` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement